#!/bin/sh

. /etc/config
. /etc/inside.info

cp /etc/udhcpd.conf.templ /etc/udhcpd.conf

echo "interface ${INSIDE_DEVICE}" >> /etc/udhcpd.conf

echo "start	${DHCP_RANGE_START}" >> /etc/udhcpd.conf

echo "end	${DHCP_RANGE_END}" >> /etc/udhcpd.conf

echo "opt	dns	${INSIDE_IP}" >> /etc/udhcpd.conf

echo "option	subnet	${INSIDE_NETMASK}" >> /etc/udhcpd.conf

echo "opt	router	${INSIDE_IP}" >> /etc/udhcpd.conf

echo "option	domain	${DOMAIN}" >> /etc/udhcpd.conf

echo "option	lease	864000" >> /etc/udhcpd.conf

# Currently supported options, for more info, see options.c
#subnet
#timezone
#router
#timesvr
#namesvr
#logsvr
#cookiesvr
#lprsvr
#bootsize
#domain
#swapsvr
#rootpath
#ipttl
#mtu
#broadcast
#wins
#lease
#ntpsrv
#tftp
#bootfile

